Name:    ksecrets
Summary: Secrets management infrastructure for KDE 
Version: 4.8.4
Release: 8%{?dist}

# libksecretservice LGPLv2+, most of the rest is GPLv2+
License: GPLv2+ and LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdeutils/ksecrets
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

## upstreamable patches

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
# for PkgConfigGetVar and friends
BuildRequires: kde-workspace-devel >= %{version}
BuildRequires: pkgconfig(qca2)

Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
Requires: qca-ossl%{?_isa}

%description
%{summary}

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/ksecrets.desktop


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README
%{_kde4_libdir}/libksecretsservice.so.4*
%{_kde4_bindir}/ksecrets
%{_kde4_bindir}/ksecretsserviced
%{_kde4_bindir}/ksecretsync
%{_kde4_bindir}/kwl2kss
%{_kde4_libdir}/kde4/kcm_ksecretsync.so
%{_kde4_libdir}/kde4/kio_ksecretsservice.so
%{_kde4_datadir}/applications/kde4/ksecrets.desktop
%{_kde4_datadir}/config.kcfg/kcm_ksecretsync.kcfg
%{_datadir}/dbus-1/services/org.kde.ksecretsserviced.service
%{_kde4_appsdir}/ksecretsync/ksecretsync.rc
%{_kde4_datadir}/kde4/services/kcm_ksecretsync.desktop
%{_kde4_datadir}/kde4/services/ksecretsserviced.desktop
%{_kde4_datadir}/kde4/services/secrets.protocol

%files devel
%{_kde4_libdir}/libksecretsservice.so
%{_kde4_includedir}/ksecretsservice/


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 4.8.4-7
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 05 2012 Than Ngo <than@redhat.com> - 4.8.4-1
- 4.8.4

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Sun Mar 18 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-2
- ksecrets.desktop: +NoDisplay=true

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.0-2
- Rebuilt for c++ ABI breakage

* Mon Jan 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-1
- first try

